# 딥링크 연동

내부 이벤트 등을 위하여 오퍼월의 광고 상세 페이지에 직접 이동이 필요한 경우 `ad_id`를 전달받아 표시할 수 있습니다. **오퍼월의 초기화 과정은 해당 인터페이스 호출 이전에 반드시 완료되어야 합니다.**

### 메인 화면

{% hint style="info" %}
하이브리드 SDK 를 사용하게 될 경우, 설정에 따라 노출될 수 있는 메인화면이 달라질 수 있습니다.
{% endhint %}

```http
// 샘플 탬플릿 
sample-app://offerwall/ads
```

{% tabs %}
{% tab title="Swift" %}

```swift
Adison.shared.presentOfferwall(from: self)
```

{% endtab %}
{% endtabs %}

### 광고 목록 - 탭 및 태그 지정

```http
// 샘플 탬플릿 
sample-app://offerwall/ads?tab={tagSlug}&tag={tagSlug}

// 샘플
sample-app://offerwall/ads?tab=shopping&tag=shop
```

{% tabs %}
{% tab title="Swift" %}

```swift
var tabSlug = "shopping"
var tagSlug = "fashion"
Adison.shared.presentOfferwall(from: self, tabSlug: tabSlug, tagSlug: tagSlug)
```

{% endtab %}
{% endtabs %}

### **광고 상세**

```http
// 샘플 탬플
sample-app://ads/{adId}

sample-app://ads/4873
```

{% tabs %}
{% tab title="Swift" %}

```swift
var adId: NSNumber = 4873
Adison.shared.presentOfferwall(from: self, adId: adId, keepParent: true)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.adison.co/offerwall/ios-quick-start/deeplink.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
